/*
	Packet Radio Telnet
    Version 1.0

	Copyright (C) 1997~1999 Marco Savegnago All rights reserved.	
	
	This software and all its components may be freely distributed and used, except
	in a business, commercial, government, or institutional environment.
	It may not under any circumstances be sold by anyone other than the author.
	It may be distributed by a commercial company as long as it is
	for no cost.
	No resposability can be charged to the author if the program running hang the		
	computer with a consequent loss of data.
	If you find it useful a free contribution if always accepted!    
*/

#ifndef	    __OLSSM_H
#define     __OLSSM_H

#include	<windows.h>

#define	OLSSMRELEASEOWL     		0
#define	OLSSMRELEASEMFC     		1
#define	OLSSMRELEASEVCL     		2
#define	OLSSMRELEASEATL     		3

#if defined( __cplusplus )
extern "C" {
#endif  /* __cplusplus */

#if defined _DLL || defined __DLL__

__declspec(dllexport)	 BOOL   APIENTRY    OLSSMEditClientPasswordsDlg(HWND	hParentWnd);
__declspec(dllexport)    BOOL   APIENTRY    OLSSMSearchClientPasswordChallenge(LPSTR line, LPINT iIndex);
__declspec(dllexport)    BOOL   APIENTRY    OLSSMIsoltateClientPasswordChallange(LPSTR szLine, LPSTR szChallenge,	int iMaxChallengeLen, int iPassword, LPINT lpiLine);
__declspec(dllexport)    BOOL   APIENTRY    OLSSMMakeClientPasswordReply(LPSTR szChallenge, LPSTR szReply,	int iMaxReplyLen, int iPassword);
__declspec(dllexport)    BOOL   APIENTRY    OLSSMAutoClientPasswordReply(LPSTR szLine, LPSTR szReply,	DWORD	dwMaxReplyLen);
__declspec(dllexport)    DWORD  APIENTRY    OLSSMGetVersion(void);
#else

__declspec(dllimport)    BOOL   APIENTRY    OLSSMEditClientPasswordsDlg(HWND	hParentWnd);
__declspec(dllimport)    BOOL   APIENTRY    OLSSMSearchClientPasswordChallenge(LPSTR line, LPINT iIndex);
__declspec(dllimport)    BOOL   APIENTRY    OLSSMIsoltateClientPasswordChallange(LPSTR szLine, LPSTR szChallenge,	int iMaxChallengeLen, int iPassword, LPINT lpiLine);
__declspec(dllimport)    BOOL   APIENTRY    OLSSMMakeClientPasswordReply(LPSTR szChallenge, LPSTR szReply,	int iMaxReplyLen, int iPassword);
__declspec(dllimport)    BOOL   APIENTRY    OLSSMAutoClientPasswordReply(LPSTR szLine, LPSTR szReply,	DWORD	dwMaxReplyLen);
__declspec(dllimport)    DWORD  APIENTRY    OLSSMGetVersion(void);

#endif

#if defined( __cplusplus )
}
#endif  /* __cplusplus */

#endif	//	#define  __OLSSM_H

